TAAS - Feature #101

Set Air Deal
11/24/2022 02:47 PM - Anil KV

Status: Reopen Bugs Coding Done Start date: 11/24/2022
Priority: Normal Due date:

Assignee: Greeshma S % Done: 70%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: Arathy PS
Time Taken(HH): Code Reviewed By:

Module: Set Air Deal

Description

Coding Set Air Deal

Related issues:
Copied to Feature #105: Set Air Deal List Reopen Bugs Gddza¢ 0kthe

History

#1 - 11/24/2022 02:49 PM - Anil KV
- Module changed from Paper to Set Air Deal

#2 - 11/29/2022 11:21 AM - Junaid M
- File 1-CsModel.cs added

- File 2-tsModel.ts added

- File 3-CsFile.cs added

- File 4-CsControllerFile.cs added

- File 5-TsFile.ts added

- File 6-HtmliFile.html added

- File sql.sql added

- Status changed from New to Open

- % Done changed from 0 to 10

1) Inside Details popup Hand Icon is for select multiple items from pop-up, comma separated values. (Smooth transition of Ul should be maintained)
2) Equation based on -> use same equations in Airline module.

Ul Change ->

3) Airline widget reduce size of char, Num code boxes.

4) Show "Target Amount" and "Target Amount Equation” only when Type is "PLB"
5) Airline -> Char code, Num code, Name . Keep this order

#3 - 11/29/2022 05:24 PM - Junaid M
- Copied to Feature #105: Set Air Deal List added

#4 - 12/01/2022 01:51 PM - Anil KV

- Assignee changed from Junaid M to Aparna Mathew

#5 - 12/13/2022 10:06 AM - Aparna Mathew
- Status changed from Open to Coding Started
- % Done changed from 10 to 40

#6 - 01/02/2023 10:46 AM - Aparna Mathew
- Status changed from Coding Started to Patrticialy Coding Done
#7 - 01/30/2023 04:37 PM - Amal Cyriac

- Status changed from Particialy Coding Done to Reopen Bugs
- % Done changed from 40 to 50

- Tested By set to Amal Cyriac

ISSUE FOUND *****
1.CANT SAVE/UPDATE

P0001: jsnSqglRes: {"sinSqlCustomStatus" : -1, "strSglCustomStatusCode" : "ERROR", "strSqlCustomMessage" : "AirDeal Save Failed",
"strSglCustomErrorType" : "DATABASE_SYSTEM_ERROR", "strSqlCustomErrorCode" : null, "strSqlSysMessage" : "column \"jsnspoutres\" does not
exist", "strSqlSysExceptionDetail" : ", "strSqlSysExceptionHint" : "PL/pgSQL function sp_insert_or_update_deal_master(jsonb,jsonbl]) line 18 at SQL
statement", "binSqlPk" : 0, "binSqglLogPk" : 0, "strSqlDocNo" : null, "dctSqlOtherData" : {"binDealMasterld": null}}

#8 - 01/31/2023 11:13 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#9 - 02/01/2023 02:08 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****
1.PREVENT CHOOSING SAME SOURCE & DESTINATION MORE THAN ONE
2.FIX BUGS ON POP-UP

#10 - 03/10/2023 10:32 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#11 - 03/11/2023 12:13 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.Set Proper alignment on Pop-up

(Source Airport & Destination Airport Pop-up)

2.Fix error while Save

("Error Code: 500 \nMessage: Http failure response for https:/localhost:44382/TAAS/API/Travel/Airticket/SaveAirDeal: 500 OK"

Type)

ENHANCEMENT
1.Update Region
(Categorize Region)

#12 - 03/28/2023 10:50 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#13 - 03/28/2023 01:09 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.Remove empty icon from date pickers

2.Remove 'Select all' check box from region tab
3.Fix bugs on add function

(Can't add new raw)

4.Set Slab input box as number field

(Add- popup)

5.Set alignment on Created by & Modified by labels
(while translation-Arabic)
https://localhost:44382/TAAS/API/Travel/Airticket/SaveAirDeal

#14 - 04/04/2023 10:01 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#15 - 05/25/2023 06:25 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.Set precision on slab from/to amounts
2.Amounts should be align to right

3.Set proper validations on inline check box
(Add proper tool tip also)

4.Update region

5.Set range on date pickers

6.Prevent duplication on code

7.Set default currency o GUI

8.Add precision on percentage

#16 - 05/31/2023 04:51 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#17 - 06/01/2023 06:32 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****
1.Cant save - error on deal code

#18 - 06/02/2023 12:07 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#19 - 06/26/2023 06:23 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Amal Cyriac to unnikannan S

ISSUE FOUNDED

1.FALSE TOOL TIP IN THE ISSUE DATE

2.ADD CODE FOR AIRLINE

3.ADD GAP BETWEEN BRACKETS IN CODE SHARING OPTION

#20 - 06/27/2023 01:21 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#21 - 07/07/2023 05:05 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.REMOVE DEFAULT CHECK BOXES

2.CORRECT THE SPELLING OF ALLOWED IN CODE SHARING
3.REMOVE ALL SELECTION WHILE CHOOSING AIRLINE

4.ENABLE DISABLE CODE DISAPPEARING IN CODE SHARING LIST
5.AUTO AIRLINE CHOOSING IN CODE SHARING (SKY JET AIRWAYS)
6.ADD TOL TIP FOR AIRLINE NAME
7.AIRLINE NAME ADDING BOX DISAPPEARING WHILE EDITING

#22 - 07/07/2023 06:28 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#23 - 07/20/2023 06:05 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUNDED

1.ADD AIRLINE LIST IN SET AIR DEAL
2.ISSUE IN TICKET TYPE

#24 - 07/21/2023 05:16 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#25 - 08/05/2023 05:51 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.All Select From Grid And Code Sharing Airline

#26 - 08/07/2023 09:35 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#27 - 09/20/2023 04:38 PM - Seema Mathew
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from unnikannan S to Seema Mathew
ISSUE FOUNDED****

1.HAND MAKER NOT TOOL TIP

#28 - 09/21/2023 05:30 PM - Aparna Mathew

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#29 - 09/30/2023 04:29 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Seema Mathew to unnikannan S

ISSUE FOUNDED

1.CHANGE TITLE TICK MEANS INCLUSIVE
2.REMOVE DISABLE WHILE CHOOSING CHEQUE BOX

#30 - 10/05/2023 09:49 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60
#31 - 10/05/2023 11:33 AM - unnikannan S
TESTING DONE

#32 - 01/23/2024 03:00 PM - Amal Siby
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

New Changes & Modifications In GUi

New Field Mask Code Added

NDC Checkbox Added.

New items Where added in Type Section.

New Tab => Customer Added, While Type = corporate Code Then customer Tab Enable

Supplier Tab => Multi Selection Changed To Grid with Code and Name Add button, delete Button also

Ul CHANGES

*CHANGE GRID SLAB FROM & TO SINGLE FIELD (Eg:FROM-TO)

*CHANGE REGION TAB TO GROUP WISE GRID (WITH CHECK BOX)

*ADD COLUMNS IN LIST >Incentive % | Sub Agency %| Customer %

*POP UP CHECK BOX TITLE As (Check box Tick case Inclusive,Check Box Untick Case Show As Exclusive)
*DEFAULT ON ALL CHECK BOXES

*CHANGE NAME IN FARE TAB INCENTIVE TO SUB CUSTOMER TO->INCENTIVE TO SUB AGENCY

*ON EXCLUDE CASE ADD (%) SYMBOL

#33 - 02/27/2024 11:16 AM - unnikannan S

- Status changed from Reopen Bugs to New Changes

#34 - 03/15/2024 10:33 AM - unnikannan S

- Status changed from New Changes to Reopen Bugs

ISSUE FOUNDED

1.CHANGE TICKET TYPE OPTIONS (CHECK TICKET TYPE MODULE)

#35 - 03/18/2024 09:44 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#36 - 03/18/2024 09:45 AM - Aparna Mathew
- Status changed from Reopen Bugs Coding Done to New Changes
- % Done changed from 70 to 50

#37 - 03/21/2024 10:42 AM - Aparna Mathew
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#38 - 08/10/2024 02:59 PM - Junaid M
- Status changed from New Changes Coding Done to New Changes

- % Done changed from 70 to 50

ISSUE FOUNDED:
1)LCC ID TAB AND IATA ID TAB SHOULD BE DISPLAYED ONLY IF LCC AND IATA ARE SELECTED

GUI Change

1. On Save Set deal code to mask code if mask code is empty.

2. Add new Tab after Supplier tab. Tab Label "Service" (red star)

--> Show all ticket services as branch like checkbox list

--> Add nef field in Db, Sp, Cs foreach, model "arb_fk_service_ids BIGINT ARRAY,"
--> Deafult: Select All

--> Mandatory
3. Travel Date, Issue Date* not both mandatory. blue star => One of Travel date/ Issue date is required.

4. Swap Remark and Status
5. Add Reference above Remark

6. Add Popup-> Slab :- add title on label "Slab Based on Supplier Amount"

#39 - 08/12/2024 03:47 PM - Arathy PS

- Status changed from New Changes to Reopen Bugs

#40 - 08/21/2024 03:42 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#41 - 08/23/2024 11:43 AM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND:
1)service gets unselected when saving data

#42 - 08/23/2024 12:37 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#43 - 12/07/2024 09:11 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#44 - 12/07/2024 09:12 PM - unnikannan S
- File clipboard-202412072112-ej87v.png added
- Status changed from Reopen Bugs Testing Done to Reopen Bugs

- % Done changed from 90 to 50

#45 - 12/09/2024 12:15 PM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#46 - 12/30/2024 06:01 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

#47 - 01/01/2025 11:40 AM - Aparna Mathew
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#48 - 01/02/2025 03:39 PM - Arathy PS

- Assignee changed from Aparna Mathew to Greeshma S

#49 - 01/11/2025 10:32 AM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

#50 - 01/11/2025 12:45 PM - Arathy PS
- File clipboard-202501111057-zaifx.png added
- File clipboard-202501111111-opdyq.png added

ISSUE FOUND
1. Class fields not clearing when we click on add button after entering first set of data.

2. When we add a source and destination for new a new air deal with same deal code the source and destination airports of previous deals also
changes on edit mode.

3. Not clearing supplier tab while clicking new button.

Set Air Deal

AIR DEAL has been Saved.

x

Trpe” | Deal Code v Date® | 11/01/2025 =] Additional Info | Supplier ~ Service™
Code™ | DCOD3 @ Mask Code™ | DCOOZ Travel Date* | qd/MM/yymy B | | dammayyy =]
. 8 Print
Airline’ v 121 Ada Air Issue Date™ 12/01/2025 m 23/01/2025 G -

Currency” | QAR

1ATA
Please Enter Slab. X v
Reference
Taxable
Remarks Slab | 100000 000,00 Fare | Region
Status | Active CabinClass @ | First Class % M

Incentive From Airline/Supplier

Class L

Created By:  Administrator(11/0 L] 0.00 %| 500 {{FARE/RATE/VISA_CHARGE]} 4
Modified By: Source Airport | @ &
Incentive To Sub Agency
Destination Aiport | @ & -
0.00 0.00 p =
Set Air Deal List FlightNo | @ T Q 2 O
| Incentive To Customer
# slab | Class PaxType | @ | Adult % - 0.00 % 000 4 Agency % Customer %
1 100000 - 400000 L TicketType | @ | Select ~ 000 w0 & W

& Close Update

5. While only selecting one cabin class but showing 2 more

Set Air Deal

AIR DEAL has been Saved.
Tpe® | Deal Code - Date” | 11/01/2025 a Additional Info | Supplier ~ Service*
Code* | D03 @ Mask Code® | DCO0Z Travel Date™ | /MMy, B | damn =]
- 8 Print
Airine™ | 7y 121 Ada Air lssue Date* | 11,01/2025 [} 23/01/2025 =] -
Cureney” | oaR o Code Mandatory In Booking . = -
s e — .
Reference
Slab | 1000.00 400000 Fare | Region Taxable
Remarks
CabinClass | @ | FirstClass % 2more xl M
o Incentive From Airline/Supplier
atus” | Active
Cass (@)L 000 | 500 ((FARE/RATE/VISA_CHARGE]} )
Created By:  Administrator(11/0 Source Airport | @
Modified By: Administrator(11/0 Incentive To Sub Agency
Destination Aiport | @ & 000 = 00
y
Flight No
? L Incentive To Customer .
Set Air Deal List YT Q 2
PaxType @ | Adult % M 000 %| 000
y
# slab | Class TiketType | @ | setec . Agency % Customer %
1 100000 - 400000 L 000 0w £ W
& Close Update

#51 - 01/14/2025 06:58 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#52 - 02/08/2025 11:49 AM - Arathy PS

- File clipboard-202502081145-s5wgh.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

Issue found

1. Each time while take a deal on edit mode the cabin class fields selected items count increases.
" Travvise Set Air Deal

AIR DEAL has been Saved.

Type' | Deal Code v Date” | 08/02/2025 =] Additional Info | IATAID  Supplier ~ Service®
it Code | runmn @ Mask Code® | DC003 Travel Date” | 09/02/2025 0 | 130205 =]
e Airline” | 7y 121 Ada Air Issue Date™ | g B w ]

. Curency QAR - Code Mandatory In Booking e =
s @ i — .
Reference
Siab | 15000 300000 Fare | Region Taxable

Cabin Class @ First Class. 23 more M

Incentive From Airline/Supplier
Status® /Sop

Active Class
Sl 07\ 000 %| 000 p
Created By: Administrator(08/0 Source Aiport | @ | AALAAR &
I tive To Sub A
Modified By: Administator(08/0 . neentive To ub Agency
L estination Aiport | @ | JEGIM e} 000 %| 000 P
FightNe | @
o Incentive To Customer T a 2 o
PaxType | @ | Adult M 000 %| 000 y .
# Slab | Class Tkt Type | @ . Agency%  Customer %
bard 1 150.00 - 300000 OpPL 0.00 000 S
2 20000400000 ASD @Close [ Update 000 0w & W

2.Not clearing supplier tab while clicking new button.

#53 - 02/08/2025 06:31 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#54 - 02/14/2025 01:54 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND

1. When redirected from the set air deal list fields that are hidden are showing also supplier is showing in the search field.

#55 - 02/17/2025 12:45 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#56 - 02/21/2025 04:19 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND

1. When we click on the numeric code field of airline AccesRail is showing by default. ( also in Code Sharing Airline tab)

#57 - 02/21/2025 04:48 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#58 - 03/29/2025 03:11 PM - Arathy PS

- File clipboard-202503291510-v7hnl.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

- Tested By changed from unnikannan S to Arathy PS

ISSUE FOUND

1. While deleting an code sharing airline.
Set Air Deal

AIR DEAL has been Saved.

Type” | Deal Code v Date” | 20/03/2025 Additional Info ~ Supplier  Service®  Code Sharing Airline* ‘
Cumency | QAR Code Mandatory In Booking o s T
B .
Status® | Active A
D ———
+ Add Y Q 2 0
P Stab | Class Source Destination lncentive | SubAgency% | Customer %
1 50000 - 500000 00 000 o
#59 - 04/02/2025 06:32 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70
Files
1-CsModel.cs 6.02 KB 11/29/2022 Junaid M
2-tsModel.ts 3.04 KB 11/29/2022 Junaid M
3-CsFile.cs 22.8 KB 11/29/2022 Junaid M
4-CsControllerFile.cs 23.9 KB 11/29/2022 Junaid M
5-TsFile.ts 13.5 KB 11/29/2022 Junaid M
6-HtmlFile.html 1.88 KB 11/29/2022 Junaid M
sql.sql 25.1 KB 11/29/2022 Junaid M
clipboard-202412072112-j87v.png 56.4 KB 12/07/2024 unnikannan S
clipboard-202501111057-zaifx.png 145 KB 01/11/2025 Arathy PS
clipboard-202501111111-opdyq.png 145 KB 01/11/2025 Arathy PS
clipboard-202502081145-s5wgh.png 163 KB 02/08/2025 Arathy PS
clipboard-202503291510-v7hnl.png 117 KB 03/29/2025 Arathy PS
